org.apache.lucene.search

## Class BulkScorerWrapperScorer

- java.lang.Object
- - org.apache.lucene.search.Scorable
  - - org.apache.lucene.search.Scorer
    - - org.apache.lucene.search.BulkScorerWrapperScorer

-     public class BulkScorerWrapperScorer
      extends Scorer

  A `BulkScorer`-backed scorer.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Scorable

      `Scorable.ChildScorable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.Scorer

      `weight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkScorerWrapperScorer(Weight weight, BulkScorer scorer, int bufferSize)` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `docID()`
    `float` | `getMaxScore(int upTo)`
    `DocIdSetIterator` | `iterator()`
    `float` | `score()`

    - ### Methods inherited from class org.apache.lucene.search.Scorer

      `advanceShallow, getWeight, twoPhaseIterator`

    - ### Methods inherited from class org.apache.lucene.search.Scorable

      `getChildren, setMinCompetitiveScore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkScorerWrapperScorer

          public BulkScorerWrapperScorer(Weight weight,
                                         BulkScorer scorer,
                                         int bufferSize)

      Sole constructor.

  - ### Method Detail

    - #### score

          public float score()
                      throws IOException

      Specified by:
        `score` in class `Scorable`
      Throws:
        `IOException`

    - #### getMaxScore

          public float getMaxScore(int upTo)
                            throws IOException

      Specified by:
        `getMaxScore` in class `Scorer`
      Throws:
        `IOException`

    - #### docID

          public int docID()

      Specified by:
        `docID` in class `Scorable`

    - #### iterator

          public DocIdSetIterator iterator()

      Specified by:
        `iterator` in class `Scorer`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.